System.Security.Claims 4.0.1

Provides classes that implement claims-based identity in the .NET Framework, including classes that represent claims, claims-based identities, and claims-based principals.

Commonly Used Types:
System.Security.Principal.GenericIdentity
System.Security.Claims.Claim
System.Security.Claims.ClaimsIdentity
System.Security.Claims.ClaimsPrincipal
System.Security.Principal.GenericPrincipal

When using NuGet 3.x this package requires at least version 3.4.

There is a newer version of this package available.
See the version list below for details.

Requires NuGet 2.12 or higher.

Install-Package System.Security.Claims -Version 4.0.1
dotnet add package System.Security.Claims --version 4.0.1
<PackageReference Include="System.Security.Claims" Version="4.0.1" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add System.Security.Claims --version 4.0.1
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

Release Notes

https://go.microsoft.com/fwlink/?LinkID=799417

Version History

Version Downloads Last updated
4.3.0 6,812,410 11/15/2016
4.3.0-preview1-24530-04 105,063 10/24/2016
4.0.1 35,114,973 6/27/2016
4.0.1-rc2-24027 2,175,966 5/16/2016
4.0.1-beta-23516 369,762 11/18/2015
4.0.1-beta-23409 364,874 10/15/2015
4.0.1-beta-23225 83,812 9/2/2015
4.0.0 1,579,159 7/29/2015
4.0.0-beta-23109 60,626 7/27/2015
4.0.0-beta-23019 48,968 6/30/2015
4.0.0-beta-22816 49,045 4/24/2015
4.0.0-beta-22605 15,959 2/13/2015
4.0.0-beta-22416 8,222 1/16/2015
4.0.0-beta-22231 28,489 11/11/2014